%global gitdate 20101221

Name:           wayland
Version:        0.1
Release:        0.3%{?gitdate:.%{gitdate}}%{?dist}
Summary:        Wayland compositor

Group:          User Interface/X
License:        GPLv2+
URL:            http://%{name}.freedesktop.org/
Source0:        wayland-%{gitdate}.tar.bz2
Source1:	make-git-snapshot.sh
Patch0:         wayland-no-clients.patch

BuildRequires:  autoconf automake libtool
BuildRequires:  pkgconfig(glesv2) pkgconfig(egl) pkgconfig(libffi)
BuildRequires:  pkgconfig(gl) pkgconfig(xkbcommon)
BuildRequires:  pkgconfig(gdk-pixbuf-2.0) pkgconfig(libudev) >= 136
BuildRequires:  pkgconfig(libdrm) pkgconfig(xcb-dri2) pkgconfig(xcb-xfixes)
BuildRequires:  pkgconfig(poppler-glib) pkgconfig(gdk-2.0)
BuildRequires:  expat-devel
#BuildRequires: pkgconfig(cairo-gl)
Requires:       wayland-common = %{version}-%{release}

%description
Wayland is a protocol for a compositor to talk to its clients as well as a C
library implementation of that protocol. The compositor can be a standalone
display server running on Linux kernel modesetting and evdev input devices,
an X application, or a wayland client itself. The clients can be traditional
applications, X servers (rootless or fullscreen) or other display servers.

%package common
Summary: Common data files for wayland
License: CC-BY-SA
%description common
Common data files for wayland

%package devel
Summary: Common headers for wayland
License: MIT
%description devel
Common headers for wayland

%package -n libwayland-client
Summary: Wayland client library
License: MIT
%description -n libwayland-client
Wayland client library

%package -n libwayland-server
Summary: Wayland server library
License: MIT
%description -n libwayland-server
Wayland server library

%package -n libwayland-client-devel
Summary: Headers and symlinks for developing wayland client applications
License: MIT
Requires: libwayland-client = %{version}-%{release}
Requires: wayland-devel = %{version}-%{release}
%description -n libwayland-client-devel
Headers and symlinks for developing wayland client applications.

%package -n libwayland-server-devel
Summary: Headers and symlinks for developing wayland server applications
License: MIT
Requires: libwayland-server = %{version}-%{release}
Requires: wayland-devel = %{version}-%{release}
%description -n libwayland-server-devel
Headers and symlinks for developing wayland server applications.

%prep
%setup -q -n %{name}-%{gitdate}
%patch0 -p1 -b .no-clients

%build
autoreconf -v --install
%configure --disable-static
make %{?_smp_mflags}


%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT

mkdir -p $RPM_BUILD_ROOT%{_bindir}
install -m 0755 compositor/compositor $RPM_BUILD_ROOT%{_bindir}

find $RPM_BUILD_ROOT -name \*.la | xargs rm -f

%clean
rm -rf $RPM_BUILD_ROOT

%post -n libwayland-client -p /sbin/ldconfig
%postun -n libwayland-client -p /sbin/ldconfig

%post -n libwayland-server -p /sbin/ldconfig
%postun -n libwayland-server -p /sbin/ldconfig


%files
%defattr(-,root,root,-)
%doc README
%{_bindir}/compositor
%{_sysconfdir}/udev/rules.d/*.rules

%files common
%defattr(-,root,root,-)
%doc data/COPYING
%{_datadir}/wayland

%files devel
%defattr(-,root,root,-)
%{_includedir}/wayland-util.h

%files -n libwayland-client
%defattr(-,root,root,-)
%{_libdir}/libwayland-client.so.0*

%files -n libwayland-server
%defattr(-,root,root,-)
%{_libdir}/libwayland-server.so.0*

%files -n libwayland-client-devel
%defattr(-,root,root,-)
%{_includedir}/wayland-client*.h
%{_libdir}/libwayland-client.so

%files -n libwayland-server-devel
%defattr(-,root,root,-)
%{_includedir}/wayland-server*.h
%{_libdir}/libwayland-server.so

%changelog
* Mon Feb 07 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.1-0.3.20101221
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Tue Dec 21 2010 Adam Jackson <ajax@redhat.com> 0.1-0.2.20101221
- Today's git snap

* Tue Nov 23 2010 Adam Jackson <ajax@redhat.com> 0.1-0.2.20101123
- Today's git snap
- Fix udev rule install (#653353)

* Mon Nov 15 2010 Adam Jackson <ajax@redhat.com> 0.1-0.1.20101111
- Initial packaging
